Servers - Start Major Version Upgrade Precheck
Start Major Version Upgrade Prechecks.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/startMajorVersionUpgradePrecheck?api-version=2026-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
server
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)* |
The name of the server. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| targetVersion | True |
string |
The target major version to upgrade to. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. Headers x-ms-request-id: string |
|
| 202 Accepted |
Resource operation accepted. Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Start a major version upgrade precheck validation for a PostgreSQL flexible server.
Sample request
POST https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/startMajorVersionUpgradePrecheck?api-version=2026-10-01
{
"targetVersion": "18"
}
Sample response
{
"name": "pppppppp-pppp-pppp-pppp-pppppppppppp",
"createTime": "2026-04-15T10:00:00Z",
"status": "Succeeded"
}
Location: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/westus2/operationResults/pppppppp-pppp-pppp-pppp-pppppppppppp?api-version=2026-10-01
Azure-AsyncOperation: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/westus2/azureAsyncOperation/pppppppp-pppp-pppp-pppp-pppppppppppp?api-version=2026-10-01
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Major |
The status of the major version upgrade precheck. |
|
Start |
Request model for starting a major version upgrade precheck. |
|
Start |
Response model for starting a major version upgrade precheck. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
MajorVersionUpgradePrecheckStatus
The status of the major version upgrade precheck.
| Value | Description |
|---|---|
| Validating |
Executing prechecks against the source server |
| Succeeded |
Validation succeeded |
| Failed |
Validation failed |
| Canceled |
Validation canceled |
StartMajorVersionUpgradePrecheckRequest
Request model for starting a major version upgrade precheck.
| Name | Type | Description |
|---|---|---|
| targetVersion |
string |
The target major version to upgrade to. |
StartMajorVersionUpgradePrecheckResponse
Response model for starting a major version upgrade precheck.
| Name | Type | Description |
|---|---|---|
| createTime |
string (date-time) |
The time when the precheck was created. |
| name |
string |
The precheck validation ID. |
| status |
The status of the precheck validation. |